{% extends 'base.html' %}
{% load i18n %}
{% block title %} Accueuil {% endblock %}
{% block content %}

<div class="row" style="text-align:center;font-size:2rem;">
  <div class="col-xs-12 col-sm-6 col-md-3">
    <div class="statBlock">
      <i class="text-muted fas fa-map-marked-alt fa-2x"></i><br>
      <span class="statCount">{{ placescount }}</span><br>
      <span class="statDesc text-muted"> {{ placestext }}</span><br>
    </div>
  </div>
  <div class="col-xs-12 col-sm-6 col-md-3">
    <div class="statBlock">
      <i class="text-muted fas fa-calendar-check   fa-2x "></i><br>
      <span class="statCount">{{ sessionscount }}</span><br>
      <span class="statDesc text-muted"> {{ sessionstext }}</span><br>
    </div>
  </div>
  <div class="col-xs-12 col-sm-6 col-md-3">
    <div class="statBlock">
      <i class="text-muted fas fa-eye fa-2x"></i><br>
      <span class="statCount">{{ sightingscount }}</span><br>
      <span class="statDesc text-muted"> {{ sightingstext }}</span><br>
    </div>
  </div>
  <div class="col-xs-12 col-sm-6 col-md-3">
    <div class="statBlock">
      <i class="text-muted fas fa-users fa-2x"></i><br>
      <span class="statCount">{{ observerscount }}</span><br>
      <span class="statDesc text-muted"> {{ observerstext }}</span><br>
    </div>
  </div>
</div>
{% if user.is_authenticated %}
<div class="row" style="text-align:center;font-size:2rem;">
  <div class="col-xs-12 col-sm-6">
    <a href="{% url 'sights:place_search' %}" class="btn btn-success btn-lg  btn-block">
      <i class="fa fa-map"></i> Rechercher des localités / Saisir
    </a>
  </div>
  <div class="col-xs-12 col-sm-6">
    <a href="{% url 'accounts:myprofile_detail' %}" class="btn btn-warning btn-lg  btn-block">
      <i class="fa fa-user"></i> Mon profile/Mes données
    </a>
  </div>
</div>
{% else %}
<div class="row" style="text-align:center;font-size:2rem;">
  <div class="col-xs-12">
    <a href="{% url 'auth_login' %}" class="btn btn-info btn-lg  btn-block" alt="{% trans 'Se connecter' %}"><i
        class="fa fa-fw fa-sign-in-alt" aria-hidden="true"></i>
      {% trans 'Se connecter' %}</a>
  </div>
</div>
{% endif %}
<h1>
  <i class="{{ icon | safe }}"></i> {{ title }}
</h1>
<div class="row">
  <div class="col-lg-12">
    {% for object in object_list %}
    <div class="panel panel-default panel-primary">
      <div class="panel-heading">
        <h2 class="panel-title"><a href="{% url 'blog:actu_detail' pk=object.id_actu %}"><i class="fi-align-left"></i>
            {{ object.title }}</a></h2>
      </div>
      <div class="panel-body">
        <p>
          <small>
            {% if user.is_resp or user.access_all_data or user.edit_all_data or user.is_staff or user.is_superuser %}
            <a href="{% url 'blog:actu_update' pk=object.id_actu %}" class="btn btn-xs btn-primary"><i
                class="fa fa-fw fa-edit"></i></a> {% endif %}
            créé le <b>{{ object.timestamp_create }}</b>
            par <b>{{ object.created_by }}</b>
            {% if object.updated_by %}| mis à jour le {{ object.timestamp_update }} par
            {{ object.updated_by }}{% endif %}
          </small>
        </p>
        <div class="well well-sm">{{ object.briefdescr|safe }}</div>
        <p class="text-right"><a href="{% url 'blog:actu_detail' pk=object.id_actu %}"
            class="btn btn-sm btn-primary">Lire la suite
            ...</a></p>
      </div>
    </div>
    {% empty %}
    <div class="well">
      <div class="columns callout">Aucune actualité pour le moment.</div>
    </div>
    {% endfor %}

    {% if is_paginated %}
    <nav aria-label="table_navigation" class="pull-right" style="margin-top:5px;margin-bottom:5px">
      <ul class="pagination pagination-sm">
        {% if page_obj.has_previous %}
        {% block pagination.previous %}
        <li class="page-item">
          <a class="page-link" href="{% url 'blog:home' page_obj.previous_page_number %}">Previous</a>
        </li>
        {% endblock pagination.previous %}
        {% endif %}
        {% if table.page.has_previous or table.page.has_next %}
        {% block pagination.cardinality %}
        <li class="page-item">
          <a class="page-link" href="#">
            {% blocktrans with page_obj.number as current and page_obj.paginator.num_pages as total %}
            Page
            {{ current }} of {{ total }}{% endblocktrans %}</a>
        </li>
        {% endblock pagination.cardinality %}
        {% endif %}
        {% if page_obj.has_next %}
        {% block pagination.next %}
        <li class="page-item">
          <a class="page-link" href="{% url 'blog:home' page_obj.next_page_number %}">Next</a>
        </li>
        {% endblock pagination.next %}
        {% endif %}
      </ul>
    </nav>
    {% endif %}
  </div>
</div>
{% endblock %}
